#include <stdio.h>

#include "lo/lo.h"
#include "RtAudio.h"

void err_handler(int num, const char *msg, const char *where)
{
    printf("Server error %i: %s in %s.\n", num, msg, where);
}

int level_cb(const char *path, const char *types,
              lo_arg **argv, int argc, lo_message msg, void *user_data)
{
//    printf("%s - %s -> %f", path, types, argv[0]->f);


    int i;

    printf("%s %s", path, types);

    for (i = 0; i < argc; i++) {
        printf(" ");
        lo_arg_pp((lo_type) types[i], argv[i]);
    }
    printf("\n");

    return 0;
}


int main(void)
{
    lo_server_thread osc_thread = lo_server_thread_new("8000", err_handler);

    if (!osc_thread) {
//        printf("Error creating server thread. Port busy?.\n");
        return -1;
    }
//    lo_server_thread_add_method(osc_thread, "/level", "f",
//                                level_cb, NULL);
    lo_server_thread_add_method(osc_thread, NULL, NULL ,
                                level_cb, NULL);

    lo_server_thread_start(osc_thread);

    PaStream *stream;



    int i = getchar();

    lo_server_thread_stop(osc_thread);
    lo_server_free(osc_thread);
    printf("Hello World!\n");
    return 0;
}

